Skip to navigation

Update File Member

View as Markdown

Changes a member’s access on a shared file.

Required scope: sharing.write

Endpoint format: RPC

Authentication: User, Dropbox-API-Select-Admin (Team Admin)

This endpoint does not support apps with the app folder permission.

Authentication

AuthorizationBearer

OAuth 2.0 token issued to a specific user. Use Authorization: Bearer <token>.

Public clients should use the authorization code flow with PKCE (S256).

For background or offline access, send token_access_type=offline during authorization and use the returned refresh token to obtain new access tokens.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Headers

Dropbox-API-Select-UserstringOptional

Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as dbmid:.... When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Select-AdminstringOptional

Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the team_data.member scope.

Dropbox-API-Path-RootstringOptional

Scopes path-based operations to a namespace (root). The value is a JSON serialization of the common.PathRoot union: {".tag": "home"}, {".tag": "root", "root": "<namespace_id>"}, or {".tag": "namespace_id", "namespace_id": "<namespace_id>"}. On failure the request returns 422 with a common.PathRootError.

Request

This endpoint expects an object.
access_levelobjectRequired
The new access level for the member.
Variant:
sharing_apiv2.AccessLevel.ownerobjectRequired

The collaborator is the owner of the shared folder. Owners can view and edit the shared folder as well as set the folder’s policies using update_folder_policy.

filestringRequiredformat: "((\/|id:).*|nspath:[0-9]+:.*)|ns:[0-9]+(/.*)?">=1 character
File for which we are changing a member's access.
memberobjectRequired
The member whose access we are changing.
Variant:
sharing_apiv2.MemberSelector.dropbox_idobjectRequired
Dropbox account, team member, or group ID of member.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
access_detailslist of objects or nullOptional
The parent folders that a member has access to. The field is present if the user has access to the first parent folder where the member gains access.
access_levelobject or nullOptional
The member still has this level of access to the content through a parent folder.
Variant:
sharing_apiv2.AccessLevel.ownerobject

The collaborator is the owner of the shared folder. Owners can view and edit the shared folder as well as set the folder’s policies using update_folder_policy.

warningstring or nullOptional
A localized string with additional information about why the user has this access level to the content.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error